package com.zztrapp.zztrapp.bean;

import java.io.Serializable;
import java.util.List;

/**
 * Describe 重点监管单位分页查询-监督信息-分页列表查询
 * Created by Bby on 2022/8/2
 * Email bby0856@163.com
 */
public class ZdjgdwJdxxBean {

    private List<RecordsBean> records;
    private Integer total;
    private Integer size;
    private Integer current;
    private List<?> orders;
    private Boolean optimizeCountSql;
    private Boolean searchCount;
    private Object countId;
    private Object maxLimit;
    private Integer pages;

    public List<RecordsBean> getRecords() {
        return records;
    }

    public void setRecords(List<RecordsBean> records) {
        this.records = records;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public Integer getCurrent() {
        return current;
    }

    public void setCurrent(Integer current) {
        this.current = current;
    }

    public List<?> getOrders() {
        return orders;
    }

    public void setOrders(List<?> orders) {
        this.orders = orders;
    }

    public Boolean getOptimizeCountSql() {
        return optimizeCountSql;
    }

    public void setOptimizeCountSql(Boolean optimizeCountSql) {
        this.optimizeCountSql = optimizeCountSql;
    }

    public Boolean getSearchCount() {
        return searchCount;
    }

    public void setSearchCount(Boolean searchCount) {
        this.searchCount = searchCount;
    }

    public Object getCountId() {
        return countId;
    }

    public void setCountId(Object countId) {
        this.countId = countId;
    }

    public Object getMaxLimit() {
        return maxLimit;
    }

    public void setMaxLimit(Object maxLimit) {
        this.maxLimit = maxLimit;
    }

    public Integer getPages() {
        return pages;
    }

    public void setPages(Integer pages) {
        this.pages = pages;
    }

    public static class RecordsBean implements Serializable {
        private String id;
        private String createTime;
        private String updateTime;
        private String createBy;
        private Integer delFlag;
        private String jdsj;
        private String jdr;
        private String jd;
        private String wd;
        private String wt;
        private String wtms;
        private String trzdwryJgdwmlId;
        private String xccl;
        private String wtzp;
        private List<UpLoadFileBean> xcclFile;
        private List<UpLoadFileBean> wtzpFile;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }

        public String getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(String updateTime) {
            this.updateTime = updateTime;
        }

        public String getCreateBy() {
            return createBy;
        }

        public void setCreateBy(String createBy) {
            this.createBy = createBy;
        }

        public Integer getDelFlag() {
            return delFlag;
        }

        public void setDelFlag(Integer delFlag) {
            this.delFlag = delFlag;
        }

        public String getJdsj() {
            return jdsj;
        }

        public void setJdsj(String jdsj) {
            this.jdsj = jdsj;
        }

        public String getJdr() {
            return jdr;
        }

        public void setJdr(String jdr) {
            this.jdr = jdr;
        }

        public String getJd() {
            return jd;
        }

        public void setJd(String jd) {
            this.jd = jd;
        }

        public String getWd() {
            return wd;
        }

        public void setWd(String wd) {
            this.wd = wd;
        }

        public String getWt() {
            return wt;
        }

        public void setWt(String wt) {
            this.wt = wt;
        }

        public String getWtms() {
            return wtms;
        }

        public void setWtms(String wtms) {
            this.wtms = wtms;
        }

        public String getTrzdwryJgdwmlId() {
            return trzdwryJgdwmlId;
        }

        public void setTrzdwryJgdwmlId(String trzdwryJgdwmlId) {
            this.trzdwryJgdwmlId = trzdwryJgdwmlId;
        }

        public String getXccl() {
            return xccl;
        }

        public void setXccl(String xccl) {
            this.xccl = xccl;
        }

        public String getWtzp() {
            return wtzp;
        }

        public void setWtzp(String wtzp) {
            this.wtzp = wtzp;
        }

        public List<UpLoadFileBean> getXcclFile() {
            return xcclFile;
        }

        public void setXcclFile(List<UpLoadFileBean> xcclFile) {
            this.xcclFile = xcclFile;
        }

        public List<UpLoadFileBean> getWtzpFile() {
            return wtzpFile;
        }

        public void setWtzpFile(List<UpLoadFileBean> wtzpFile) {
            this.wtzpFile = wtzpFile;
        }
    }
}
